kr.co.hanwha.hifive.network.hanwha

## Class HanwhaNetworkClient.Builder

- java.lang.Object
- - kr.co.hanwha.hifive.network.hanwha.HanwhaNetworkClient.Builder

- Enclosing class:
    HanwhaNetworkClient<T>

      public static final class HanwhaNetworkClient.Builder
      extends java.lang.Object

  HanwhaNetworkClient Builder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `connectTimeout`
    `(package private) int` | `readTimeout`
    `(package private) int` | `writeTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`
    `Builder(HanwhaNetworkClient client)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HanwhaNetworkClient` | `build()`
    `private static int` | `checkDuration(java.lang.String name, long duration, java.util.concurrent.TimeUnit unit)`
    `HanwhaNetworkClient.Builder` | `connectTimeout(long timeout, java.util.concurrent.TimeUnit unit)`
    `HanwhaNetworkClient.Builder` | `readTimeout(long timeout, java.util.concurrent.TimeUnit unit)`
    `HanwhaNetworkClient.Builder` | `writeTimeout(long timeout, java.util.concurrent.TimeUnit unit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connectTimeout

          int connectTimeout

    - #### readTimeout

          int readTimeout

    - #### writeTimeout

          int writeTimeout

  - ### Constructor Detail

    - #### Builder

          public Builder()

    - #### Builder

          Builder(HanwhaNetworkClient client)

  - ### Method Detail

    - #### connectTimeout

          public HanwhaNetworkClient.Builder connectTimeout(long timeout,
                                                            java.util.concurrent.TimeUnit unit)

    - #### readTimeout

          public HanwhaNetworkClient.Builder readTimeout(long timeout,
                                                         java.util.concurrent.TimeUnit unit)

    - #### writeTimeout

          public HanwhaNetworkClient.Builder writeTimeout(long timeout,
                                                          java.util.concurrent.TimeUnit unit)

    - #### checkDuration

          private static int checkDuration(java.lang.String name,
                                           long duration,
                                           java.util.concurrent.TimeUnit unit)

    - #### build

          public HanwhaNetworkClient build()